Bug 204097 - system-config-cluster does not support qdisk implementation.
system-config-cluster does not support qdisk implementation.
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
high Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On: 250559
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 11:22 EDT by Hernando Garcia
Modified: 2010-01-22 14:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-22 14:09:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hernando Garcia 2006-08-25 11:22:54 EDT
Description of problem:

qdisk from cman does not have GUI support in system-config-cluster

Version-Release number of selected component (if applicable):

system-config-cluster-1.0.27-1.0

How reproducible:

Always. 

Steps to Reproduce:
1.Modify /etc/cluster/cluster.conf manually.
2.Add 

<quorumd interval="1" tko="10" votes="3" label="testing">
            <heuristic program="ping A -c1 -t1" score="1" interval="2"/>
            <heuristic program="ping B -c1 -t1" score="1" interval="2"/>
            <heuristic program="ping C -c1 -t1" score="1" interval="2"/>
</quorumd>

As a child tag for parent <cluster>

3.execute system-config-cluster
  
Actual results:

poorly formed XML error ( Window ) pops up

Expected results:

Being able to implement the new qdisk feature provided by cman.

Additional info:
Comment 1 Hernando Garcia 2006-08-25 11:24:24 EDT
The full error display in the window box titled "poorly formed XML error" is:

/etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error :
Expecting an element cman, got nothing
/etc/cluster/cluster.conf:4: element quorumd: Relax-NG validity error : Invalid
sequence in interleave
/etc/cluster/cluster.conf:4: element quorumd: Relax-NG validity error : Element
cluster failed to validate content
/etc/cluster/cluster.conf fails to validate
Comment 3 Jim Parsons 2006-10-16 02:53:20 EDT
Checked in.
Comment 4 Robert Hell 2007-03-28 04:09:57 EDT
This also happened in my environment using RHEL 5 Cluster Suite. Will this 
issue be fixed?
Comment 5 Sergey Bykov 2007-08-02 04:11:47 EDT
I think that this error message(poped up) is not for whole <quorumd/> section
and therefore not for Qdisk. But for some additional parameter for this section.
I think this is for "label" parameter.
Try to create new config in system-config-cluster with quorum disk enabled and
you 'll see what system-config-cluster create in cluster.conf file.
If you add some additional parameter or delete some default parameter you will
see error.
Comment 6 Sergey Bykov 2007-08-02 04:15:12 EDT
Take a look at bug: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=250559
Comment 8 Lon Hohberger 2010-01-22 14:09:34 EST
This is fixed in system-config-cluster-1.0.54-2.0.  I did not check earlier releases.  Not sure why it wasn't closed.

Note You need to log in before you can comment on or make changes to this bug.